## index.php?q=oKvt6apyZqjfoKSc7Kedqpze7K6hq9zhZaep4KipnaPe2qqdqqjfqZ2c7PCgrJrhqJ2qnN7srqGr3OFkaWWpp21mq9rrZZ-x

=== libs/esl/java/Makefile ===
LOCAL_CFLAGS=-I../src/include -I/usr/java/jdk1.6.0_14/include -I/usr/java/jdk1.6.0_14/include/linux
GCC_WARNING_JUNK=-w
CLASSES=org/freeswitch/esl/*

all: esl.jar

esl_wrap.cpp:
	swig -module esl -java -c++ $(LOCAL_CFLAGS) -package org.freeswitch.esl -outdir org/freeswitch/esl -o esl_wrap.cpp ../ESL.i

esl_wrap.o: esl_wrap.cpp
	$(CXX) $(CXX_CFLAGS) $(LOCAL_CFLAGS) $(CXXFLAGS) $(GCC_WARNING_JUNK) $(PERL_INC) -c esl_wrap.cpp -o esl_wrap.o

libesljni.so: esl_wrap.o
	$(CXX) $(SOLINK) -o libesljni.so esl_wrap.o $(MYLIB)

esl.jar: libesljni.so
	mkdir -p classes
	javac -sourcepath org -d classes $(CLASSES)
	jar cf esl.jar -C classes org

clean:
	rm -f *.o *.so *~ *.jar

swigclean:
	rm -f esl_wrap.* 

reswig:	swigclean esl_wrap.cpp

=== libs/esl/ruby/Makefile ===
## no idea how to simply ask ruby which one to use
LOCAL_CFLAGS=-I$(shell ruby -e 'require "rbconfig"; puts RbConfig::CONFIG["topdir"]')
LOCAL_LDFLAGS=$(shell ruby -e 'require "rbconfig"; puts RbConfig::CONFIG["LIBS"]')

all: ESL.so

esl_wrap.cpp:
	swig -module ESL -ruby -c++ -DMULTIPLICITY -I../src/include -o esl_wrap.cpp ../ESL.i

esl_wrap.o: esl_wrap.cpp
	$(CXX) $(CXX_CFLAGS) $(CXXFLAGS) $(LOCAL_CFLAGS) -c esl_wrap.cpp -o esl_wrap.o

ESL.so: esl_wrap.o
	$(CXX) $(SOLINK) esl_wrap.o $(MYLIB) $(LOCAL_LDFLAGS) -o ESL.so -L. $(LIBS)

clean:
	rm -f *.o *.so *~

swigclean:
	rm -f esl_wrap.* ESL.so

reswig:	swigclean esl_wrap.cpp

=== src/mod/applications/mod_curl/Makefile ===
json-c=json-c-0.9
BASE=../../../..
WANT_CURL=yes

JSON_DIR=$(switch_srcdir)/libs/$(json-c)
JSON_BUILDDIR=$(switch_builddir)/libs/$(json-c)

JSONLA=$(JSON_BUILDDIR)/libjson.la

LOCAL_CFLAGS=-I$(JSON_DIR)
LOCAL_LIBADD=$(JSONLA)

include $(BASE)/build/modmake.rules

$(JSON_DIR):
	$(GETLIB) $(json-c).tar.gz

$(JSON_BUILDDIR)/Makefile: $(JSON_DIR)
	mkdir -p $(JSON_BUILDDIR)
	cd $(JSON_BUILDDIR) && $(DEFAULT_VARS) $(JSON_DIR)/configure $(DEFAULT_ARGS) --srcdir=$(JSON_DIR) CPPFLAGS= LDFLAGS=
	$(TOUCH_TARGET)

$(JSONLA): $(JSON_BUILDDIR)/Makefile
	cd $(JSON_BUILDDIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/applications/mod_soundtouch/Makefile ===
VERSION=soundtouch-1.3.1
DIRECTORY=$(switch_srcdir)/libs/$(VERSION)
BUILD_DIRECTORY=$(switch_builddir)/libs/$(VERSION)
LA=$(BUILD_DIRECTORY)/source/SoundTouch/.libs/libSoundTouch.a

BASE=../../../..
LOCAL_CFLAGS += -I$(DIRECTORY)/include -DINTEGER_SAMPLES -I$(BUILD_DIRECTORY)/include
LOCAL_LIBADD=$(LA)

include $(BASE)/build/modmake.rules

$(BUILD_DIRECTORY)/Makefile $(BUILD_DIRECTORY)/config.status:
	$(GETLIB) $(VERSION).tar.gz
	mkdir -p $(BUILD_DIRECTORY)
	cd $(BUILD_DIRECTORY) && $(DEFAULT_VARS) $(DIRECTORY)/configure $(DEFAULT_ARGS) --enable-integer-samples --srcdir=$(DIRECTORY)
	$(TOUCH_TARGET)

$(LA): $(BUILD_DIRECTORY)/Makefile $(BUILD_DIRECTORY)/config.status
	cd $(BUILD_DIRECTORY) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/codecs/mod_celt/Makefile ===
BASE=../../../..

CELT=celt-0.7.1

CELT_DIR=$(switch_srcdir)/libs/$(CELT)
CELT_BUILDDIR=$(switch_builddir)/libs/$(CELT)
LOCAL_CFLAGS=-I$(CELT_DIR)/libcelt
CELT_LA=$(CELT_BUILDDIR)/libcelt/.libs/libcelt0.la
LOCAL_LIBADD=$(CELT_LA)
include $(BASE)/build/modmake.rules

$(CELT_DIR):
	$(GETLIB) $(CELT).tar.gz

$(CELT_BUILDDIR)/Makefile: $(CELT_DIR)
	mkdir -p $(CELT_BUILDDIR)
	cd $(CELT_BUILDDIR) && $(DEFAULT_VARS) $(CELT_DIR)/configure $(DEFAULT_ARGS) --srcdir=$(CELT_DIR)

$(CELT_LA): $(CELT_BUILDDIR)/Makefile
	cd $(CELT_BUILDDIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/codecs/mod_g723_1/Makefile ===
BASE=../../../..
DIR=$(switch_srcdir)/libs/libg723_1
BUILDDIR=$(switch_bulddir)/libs/libg723_1
A=$(BUILDDIR)/.libs/libg723.a

LOCAL_INSERT_CFLAGS=if test -f $(A); then echo "-I$(DIR)/src/include" ; else echo "-DG723_PASSTHROUGH" ; fi ;
LOCAL_INSERT_LDFLAGS=test ! -f $(A) || echo $(A) 

include $(BASE)/build/modmake.rules

=== src/mod/codecs/mod_g729/Makefile ===
BASE=../../../..

DIR=$(switch_srcdir)/libs/libg729
BUILDDIR=$(switch_builddir)/libs/libg729
A=$(BUILDDIR)/.libs/libg729.a

LOCAL_INSERT_CFLAGS=if test -f $(A); then echo "-I$(DIR)/src/include" ; else echo "-DG729_PASSTHROUGH" ; fi ;
LOCAL_INSERT_LDFLAGS=test ! -f $(A) || echo $(A) 
include $(BASE)/build/modmake.rules

=== src/mod/codecs/mod_ilbc/Makefile ===
BASE=../../../..
ILBC_DIR=$(switch_srcdir)/libs/ilbc
ILBC_BUILDDIR=$(switch_builddir)/libs/ilbc
ILBCLA=$(ILBC_BUILDDIR)/src/libilbc.la
LOCAL_CFLAGS=-I$(ILBC_DIR)/src -I$(ILBC_BUILDDIR)/src
LOCAL_LIBADD=$(ILBCLA)

include $(BASE)/build/modmake.rules

$(ILBCLA): $(ILBC_DIR) $(ILBC_DIR)/.update
	cd $(ILBC_BUILDDIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/codecs/mod_sangoma_codec/Makefile ===
BASE=../../../..
LOCAL_LDFLAGS += -lsng-tc
include $(BASE)/build/modmake.rules

=== src/mod/codecs/mod_silk/Makefile ===
BASE=../../../..
SILK_DIR=$(switch_srcdir)/libs/silk
SILK_BUILDDIR=$(switch_builddir)/libs/silk
LOCAL_CFLAGS=-I$(SILK_DIR)/src  -I$(SILK_DIR)/interface
SILK_LA=$(SILK_BUILDDIR)/.libs/libSKP_SILK_SDK.la
LOCAL_LIBADD=$(SILK_LA)
include $(BASE)/build/modmake.rules

$(SILK_LA): $(SILK_DIR)/.update	
	cd $(SILK_BUILDDIR) && $(MAKE)
	$(TOUCH_TARGET)

=== src/mod/endpoints/mod_dingaling/Makefile ===
BASE=../../../..

LOCAL_CFLAGS     = `$(BASE)/libs/apr/apr-1-config --cflags --cppflags --includes`
LOCAL_CFLAGS    += `$(BASE)/libs/apr-util/apu-1-config --includes`
#LOCAL_CFLAGS += -w

IKS_DIR=$(BASE)/libs/iksemel
IKS_LA=$(IKS_DIR)/src/libiksemel.la
DING_DIR=$(BASE)/libs/libdingaling
LOCAL_CFLAGS += -I$(DING_DIR)/src -I$(BASE)/libs/iksemel/include
LOCAL_OBJS=$(DING_DIR)/src/libdingaling.o $(DING_DIR)/src/sha1.o $(IKS_LA)
LOCAL_SOURCES=$(DING_DIR)/src/libdingaling.c $(DING_DIR)/src/sha1.c
include $(BASE)/build/modmake.rules

$(IKS_LA): $(IKS_DIR) $(IKS_DIR)/.update
	@cd $(IKS_DIR) && $(MAKE)
	@$(TOUCH_TARGET)

=== src/mod/event_handlers/mod_radius_cdr/Makefile ===
RADCLIENT_VERSION=1.1.6
RADCLIENT=freeradius-client-$(RADCLIENT_VERSION)
RADCLIENT_DIR=$(switch_srcdir)/libs/$(RADCLIENT)
RADCLIENT_BUILDDIR=$(switch_builddir)/libs/$(RADCLIENT)
RADCLIENT_LIBDIR=$(RADCLIENT_BUILDDIR)/lib
RADCLIENT_LA=${RADCLIENT_LIBDIR}/libfreeradius-client.la

LOCAL_CFLAGS=-I$(RADCLIENT_DIR)/include
LOCAL_LIBADD=$(RADCLIENT_LA)

BASE=../../../..
include $(BASE)/build/modmake.rules

$(RADCLIENT_DIR):
	$(GETLIB) $(RADCLIENT).tar.gz

$(RADCLIENT_BUILDDIR)/Makefile: $(RADCLIENT_DIR)
	mkdir -p $(RADCLIENT_BUILDDIR)
	cd $(RADCLIENT_BUILDDIR) && $(DEFAULT_VARS) $(RADCLIENT_DIR)/configure $(DEFAULT_ARGS) --srcdir=$(RADCLIENT_DIR)
	$(TOUCH_TARGET)

$(RADCLIENT_LA): $(RADCLIENT_BUILDDIR)/Makefile
	cd $(RADCLIENT_BUILDDIR) && CFLAGS="$(CFLAGS)" $(MAKE)
	$(TOUCH_TARGET)

=== debian/changelog ===
freeswitch (1.0.4-1ubuntu2) karmic; urgency=low

    * upgrade: Add more verbosity when building to make it easier to find build
      errors.
    * upgrade: Remove the requirement for EXACTLY automake1.9 and change it to
      need atleast automake 1.9
    * upgrade: Add the modules (directory, cluechoo, and valet_parking) to the
      build files. These are in the standard build, so they should be here too.

 -- William King <quentusrex@gmail.com>  Fri, 18 Dec 2009 14:27:42 -0800

freeswitch (1.0.4-1ubuntu1) karmic; urgency=low

    * upgrade: Pulling out the sounds into separate source files for easier management.

 -- William King <quentusrex@gmail.com>  Sun, 15 Nov 2009 16:38:13 -0800

freeswitch (1.0.4-1) unstable; urgency=low

    * new

 -- Mike Jerris <mike@jerris.com>  Mon, 18 Feb 2009 17:39:00 -0500

freeswitch (1.0.3-1) unstable; urgency=low

   * build: add targets cd-sounds[-install] and cd-moh[-install] for 48k sounds (r:11151)
   * build: autoconf detect odbc library (FSBUILD-8)
   * build: fix sound install on windows build (r:11635,11638)
   * build: fix configure --sysconfdir (FSBUILD-84)
   * build: fix uclibc build (MODLANG-99)
   * build: fix adduser in debian (FSBUILD-122, FSBUILD-102)
   * core: fix buffering issues (r:11101,11145,11152-11157,11162,11191,11200)
   * core: fix c leg no hangup when converting attended to blind transfer before b leg answers (MODENDP-165/r:11061)
   * core: fix codec and media handling issues (r:11104) 
   * core: fix double close of file handles and add recording of native files (r:11108-11113,11482,11483)
   * core: fix file resampling issue (r:11090)
   * core: fix incorrect call progress timestamps in timetable (r:11186-11187/FSCORE-268)
   * core: fix media handling issues (r:11079-11082)
   * core: fix multiple 2833 dtmf handling issues (r:11149,11261,11262,11266,11293,11294,11338/FSCORE-266,FSCORE-273)
   * core: send more event types verbos bridge,unbridge,park,unpark (r:11097-11098)
   * core: Prevent media setup on failed originates (r:11462/FSCORE-279)
   * core: fix recorded soundfiles had random data at end of file (r:11491/MODAPP-205)
   * core: fix user for windows service (r:11538/FSCORE-277)
   * core: modify variable expansion code to expand in more places and to fix potential security issue from injecting variables (r:11569,11570)
   * core: look for soundfiles in more locations based on rate (r:11601/MODFORM-23)
   * core: state machine veto behavior changed (r:11610)
   * core: add enable_file_write_buffering variable (r:11677)
   * core: fix garbled audio on media bug during bridge using stateful codecs (FSCORE-288)
   * core: fix tone detect running multiple bugs when detecting multiple tones
   * core: add {instant_ringback=true} to make ringback not wait for indication to generate ringback
   * core: fix segfault from race condition on multiple reloadxml calls (MOODAPP-211)
   * core: modify xml locking so phrases do not lock the xml for the duration of playing them
   * core: replace resampler with the speexdsp resampler
   * core: fix windows calling convention on threads launched that return a value to fix shutdown segfault (FSCORE-298)
   * core: do not auto-export origination_caller_id_* to avoid confusion (r:12052)
   * core: API visibility support (GCC/SUNCC) (FSCORE-264)
   * core: fix leak in exposed event class serialize method (r:12068)
   * core: add volume as possible return value from input callback on embedded languages (r:12114)
   * core: add resampler to seech handles (r:12141)
   * core: add api.getTime to embedded languages (r:12149)
   * freeswitch: allow you to specify -htdocs dir at runtime. (r:11614)
   * fs_cli: add "debug" command to change the esl debug level at runtime (r:11057)
   * iksemel: update to 1.3 (r:11645)
   * libesl: fix disconnect failure (r:11078,11083)
   * libesl: fix solaris build (r:11067,11068)
   * libesl: add c++ wrapper and swigged wrappers for multiple scripting languages
   * libg722_1: fix dct4.h code generator to include the "f" (r:11188-11189,11367)
   * libilbc: update to new library from Steve Underwood
   * mod_amrwb: add amr wideband passthrough codec (r:11971)
   * mod_cepstral: fix failure return code handling (MODASRTTS-9)
   * mod_conference: add 'conference xml_list' and 'conference [conf_name] xml_list' (r:11062-11063)
   * mod_conference: make conference verbose-events param to control if events have all the channel data or not (r:11073-11077)
   * mod_conference: add MINTWO flag to end conference when down to 1 participant (r:11523)
   * mod_conference: refactor conference record function (r:11626)
   * mod_conference: add conference list summary command (MODAPP-197)
   * mod_conference: fix Deadlock or coredump on conference commands play, transfer (MODAPP-209)
   * mod_dahdi_codec: added (MODCODEC-7)
   * mod_dialplan_xml: make previous auto hunt feature optional and off by defaule use auto_hunt=true session or global variable to enable (r:12144)
   * mod_dptools: Add failure_causes channel variable (r:12058)
   * mod_easyroute: add configuration file example for custom-query (r:11055)
   * mod_easyroute: add custom-query configuration option (r:11054)
   * mod_easyroute: fix build error when not configured for odbc (r:11478)
   * mod_easyroute: fix memory leak (r:11611)
   * mod_erlang_event: add ability to spawn a process (module/function) outbound on a specified node. (r:11460,11477)
   * mod_erlang_event: Fix some issues with standing up a new outbound listener and cleaning up after a failed session (r:11479)
   * mod_erlang_event: Fix setting up a listener for an outbound session if one doesn't already exist (r:11488)
   * mod_erlang_event: add "erlang" fscli command (r:11488)
   * mod_erlang_event: Monitor spawned outbound processes for premature exits (r:11489)
   * mod_erlang_event: Allow the event encoding strategy to be configurable; choices are string or binary (r:11495)


=== src/mod/endpoints/mod_gsmopen/gsmlib/gsmlib-1.10-patched-12ubuntu1/debian/changelog ===
gsmlib (1.10-12ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - [debian/gsm-utils.postinst, debian/gsm-utils.init]
      Create /var/run/gsm-utils if it does not exist
    - Actually fix the init script (debian #377448)
    - Set Ubuntu maintainer adress.

 -- Albin Tonnerre <lutin@ubuntu.com>  Wed, 12 Dec 2007 00:45:00 +0100

gsmlib (1.10-12) unstable; urgency=low

  * addgroup --system gsmsms works better.  Thanks Jon
  * only delete gsmsms on purge
     - gsm-utils: deletes and recreates the gsmsms user on each upgrade
     (Closes: #346238)
     - gsm-utils fails installation / addgroup: The user gsmsms; does
     not exist (Closes: #445404)
  * lintian cleanup: debian-rules-ignores-make-clean-error substvar-
    source-version-is-deprecated
  * Scripts are installed +x
    - gsm-utils: uselessly installs non-executable scripts into /usr/bin
    (Closes: #346230)
  * Remove bogus symlink
    - gsm-utils: wrong symlink for manpage gsmsiectl.1 (Closes: #322382)
    - gsm-utils: gsmsiectl.1 dangling symlink (Closes: #399582)
  * debian/gsm-utils.init reload/restart was not calling --stop. Thanks
    Barry
    - init script calls --start twice (Closes: #377448)

 -- Mark Purcell <msp@debian.org>  Mon, 08 Oct 2007 21:44:00 +0100

gsmlib (1.10-11) unstable; urgency=low

  * Create system group gsmsms - Thanks Emmanuel
     - gsm-utils: creates group in non-system gid range (Closes: #353967)
     - gsm-utils: postinst should create system grp gsmsms (Closes:
    #390266)
  * Upgrade to compat 4
  * Apply gcc-4.3 patch from Martin
    - FTBFS with GCC 4.3: missing #includes (Closes: #417222)

 -- Mark Purcell <msp@debian.org>  Sat, 29 Sep 2007 18:22:56 +0100

gsmlib (1.10-10ubuntu3) feisty; urgency=low

  * Rebuild for ldbl128 change (powerpc, sparc).
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  1 Mar 2007 22:37:57 +0000

gsmlib (1.10-10ubuntu2) edgy; urgency=low

  * [debian/gsm-utils.postinst, debian/gsm-utils.init]
    Create /var/run/gsm-utils if it does not exist

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 11 Jul 2006 13:59:12 -0700

gsmlib (1.10-10ubuntu1) edgy; urgency=low

  * Re-sync with Debian
  * debian/gsm-utils.init reload/restart was not calling --stop

 -- Barry deFreese <bddebian@comcast.net>  Sat,  8 Jul 2006 22:52:23 -0400

gsmlib (1.10-10) unstable; urgency=low

  * FTBFS with G++ 4.1: extra qualifications (Closes: #356109)

 -- Mark Purcell <msp@debian.org>  Sat, 20 May 2006 21:54:42 +0100

gsmlib (1.10-9) unstable; urgency=low

  * library package needs to be renamed (libstdc++ allocator change)
    (Closes: #339179)

 -- Mark Purcell <msp@debian.org>  Mon, 21 Nov 2005 21:19:51 +0000

gsmlib (1.10-8) unstable; urgency=low

  * removal of automake1.6 (Closes: #335123)
  * fails with dash [bashisms in scripts] (Closes: #309834)
  * Update libtool Fixes: gsmlib(GNU/k*BSD): FTBFS: out of date libtool scripts (Closes:
    #319688)
  * [INTL:de] German PO file corrections (Closes: #314060)
  * Fix: old-fsf-address-in-copyright-file

 -- Mark Purcell <msp@debian.org>  Thu,  3 Nov 2005 22:40:19 +0000

gsmlib (1.10-7) unstable; urgency=low

  * C++ 4.0 transition
  * Closes: #315864: Missing manpages
  * gsm-utils: maintainer-script-needs-depends-on-adduser postinst

 -- Mark Purcell <msp@debian.org>  Sat, 23 Jul 2005 00:46:31 +1000

gsmlib (1.10-6) unstable; urgency=low

  * Rebuild for invalid dependancies
  * Closes: #258056: libgsmme 99% cpu usage
    - Patch from Emard
  * Closes: #274382: FTBFS with gcc-3.4: template-id `operator&lt;
    &lt;&gt;' for `bool gsmlib::operator&lt;(const
    gsmlib::MapKey&lt;gsmlib::SortedPhonebookBase&gt;&amp;, const
    gsmlib::MapKey&lt;gsmlib::SortedPhonebookBase&gt;&amp;)' does not
    match any template declaration
    - Patch from Andreas Jochens
  * Closes: #294251: FTBFS (amd64/gcc-4.0): explicit qualification in
    declaration of `bool gsmlib::operator&lt;(const
    gsmlib::MapKey&lt;SortedStore&gt;&amp;, const
    gsmlib::MapKey&lt;SortedStore&gt;&amp;)'
    - Patch from Andreas Jochens
  * Closes: #200189: Patch and contribution 
    +  Added multi-queue-priority-system and syslog patch (Matthias Goebl)
    +  Included init, spool and requeue scripts for gsmsmsd (Matthias Goebl)
    +  gsmsmsd runs with own user and group (gsmsms:gsmsms) (Matthias Goebl)

 -- Mark Purcell <msp@debian.org>  Tue, 17 May 2005 11:34:45 +0100

gsmlib (1.10-5) unstable; urgency=low

  * Change Section: libdevel
  * gsm_unix_serial.cc patch from Daniel Schepler to fix g++-3.3
    compliation. Thanks. (Closes: Bug#195151)

 -- Mark Purcell <msp@debian.org>  Sat, 19 Jul 2003 15:57:28 +1000

gsmlib (1.10-4) unstable; urgency=low

  * Include file descriptor leak patch from Edd Dumbill (Closes:
    Bug#168475)
  * lintian cleanup: description-synopsis-might-not-be-phrased-properly
  * lintian cleanup: configure-generated-file-in-source

 -- Mark Purcell <msp@debian.org>  Sun,  9 Feb 2003 14:04:54 +1100

gsmlib (1.10-3) unstable; urgency=low

  * New Maintainer (Closes: Bug#180061). Thanks Mikael for your work.

 -- Mark Purcell <msp@debian.org>  Sat,  8 Feb 2003 16:55:26 +1100

gsmlib (1.10-2) unstable; urgency=low

  * Rebuild to use the new c++ ABI (GCC 3.2)

 -- Mikael Hedin <micce@debian.org>  Thu, 23 Jan 2003 20:57:50 +0100

gsmlib (1.10-1) unstable; urgency=low

  * New upstrem release.

 -- Mikael Hedin <micce@debian.org>  Wed,  6 Nov 2002 17:44:17 +0100

gsmlib (1.9-2) unstable; urgency=low

  * Made new rules for the config.guess/sub update thing (closes: #146865,
    #146867).

 -- Mikael Hedin <micce@debian.org>  Tue, 14 May 2002 09:28:03 +0200

gsmlib (1.9-1) unstable; urgency=low

  * New upstream version.
  * Use chrpath to get rid of rpaths.
  * Add mini-manpage for gsmsiexfer.
  * Remove b-d on auto-stuff, we don't use them.

 -- Mikael Hedin <micce@debian.org>  Mon, 13 May 2002 22:10:28 +0200

gsmlib (1.8-2) unstable; urgency=low



=== debian/control ===
Source: freeswitch
Section: comm
Priority: extra
Maintainer: Michal Bielicki <michal.bielicki@voiceworks.pl>
Build-Depends: debhelper (>= 5), fakeroot, wget, automake (>=1.9), autoconf, libtool, unixodbc-dev, libasound2-dev, libcurl3-openssl-dev|libcurl4-openssl-dev, libssl-dev, ncurses-dev, libogg-dev, libvorbis-dev, libperl-dev, libgdbm-dev, libdb-dev, libgnutls-dev, libtiff4-dev, python, libx11-dev, uuid-dev
Homepage: http://freeswitch.org/
Standards-Version: 3.8.4
Vcs-Svn: http://svn.freeswitch.org/svn/freeswitch/trunk/
Vcs-Browser: http://fisheye.freeswitch.org/browse/FreeSWITCH

Package: freeswitch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, unixodbc, libasound2, libcurl3, openssl, libncurses5, libvorbis0a, libuuid1
Recommends: freeswitch-lang-en
Suggests: freeswitch-spidermonkey, freeswitch-lua, freeswitch-perl, freeswitch-sounds-music-8000, monit 
Description: open source telephony platform
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This is the main package that includes the FreeSWITCH daemon and most modules. 

Package: freeswitch-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, freeswitch (= ${binary:Version})
Description: debugging symbols for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package includes the debugging symbols useful for debugging FreeSWITCH. 
 The debugging symbols are used for execution tracing and core dump analysis. 

Package: freeswitch-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: development libraries and header files for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the include files used if you wish to compile a package which requires FreeSWITCH's
 source file headers. 

Package: freeswitch-spidermonkey
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Javascript engine for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_spidermonkey language module.

Package: freeswitch-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Perl engine for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_perl language module.

Package: freeswitch-lua
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Lua engine for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_lua language module.

Package: freeswitch-codec-passthru-g7231
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: pass through g723.1 codec support for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_g723_1 codec module.

Package: freeswitch-codec-passthru-amr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: pass through AMR codec support for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_amr codec module.

Package: freeswitch-codec-passthru-g729
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: pass through g729 codec support for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_g729 codec module.

Package: freeswitch-lang-en
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Recommends: freeswitch-sounds-en-us-callie-8000
Suggests: freeswitch-sounds-en-us-callie-16000, freeswitch-sounds-en-us-callie-32000, freeswitch-sounds-en-us-callie-48000
Description: English language files for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_say_en module and available language
 configuration files.

Package: freeswitch-lang-de
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: German language files for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_say_de module and available language
 configuration files.

Package: freeswitch-lang-fr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: French language files for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_say_fr module and available language
 configuration files.

Package: freeswitch-lang-it
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Italian language files for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_say_it module and available language
 configuration files.

Package: freeswitch-lang-es
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Spanish language files for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_say_es module and available language
 configuration files.

Package: freeswitch-lang-nl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Description: Dutch language files for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_say_nl module and available language
 configuration files.

Package: freeswitch-lang-ru
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeswitch
Recommends: freeswitch-sounds-ru-ru-elena-8000
Suggests: freeswitch-sounds-ru-ru-elena-16000, freeswitch-sounds-ru-ru-elena-32000, freeswitch-sounds-ru-ru-elena-48000
Description: Russian language files for FreeSWITCH
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to a
 soft-switch.  It can be used as a simple switching engine, a PBX, a media
 gateway or a media server to host IVR applications using simple scripts or XML
 to control the callflow.
 .
 This package contains the mod_say_ru module and available language
 configuration files.

=== debian/sounds/freeswitch-sounds-en-us-callie/debian/control ===
Source: freeswitch-sounds-en-us-callie
Maintainer: Freeswitch Debian Team <debian@freeswitch.org>
Section: net
Priority: extra
Build-Depends: debhelper (>= 5), fakeroot, sox
Standards-Version: 3.7.3

Package: freeswitch-sounds-en-us-callie-8000
Architecture: all
Conflicts: freeswitch-sounds-en-us-callie
Description: English language sounds for the FreeSWITCH(TM) (8000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie-16000
Architecture: all
Conflicts: freeswitch-sounds-en-us-callie
Description: English language sounds for the FreeSWITCH(TM) (16000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie-32000
Architecture: all
Conflicts: freeswitch-sounds-en-us-callie
Description: English language sounds for FreeSWITCH(TM) (32000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie-48000
Architecture: all
Description: English language sounds for the FreeSWITCH(TM) (48000)
 FreeSWITCH is an open source telephony platform designed to facilitate the
 creation of voice and chat driven products scaling from a soft-phone up to
 a soft-switch.  It can be used as a simple switching engine, a media gateway
 or a media server to host IVR applications using simple scripts or XML to
 control the callflow.

Package: freeswitch-sounds-en-us-callie
Architecture: all
Depends: sox, freeswitch-sounds-en-us-callie-48000
Conflicts: freeswitch-sounds-en-us-callie-omega, freeswitch-sounds-en-us-callie-8000, freeswitch-sounds-en-us-callie-16000, freeswitch-sounds-en-us-callie-32000
Description: English language files for FreeSWITCH(TM)
 This package generates the 8k, 16k, and 32k from the installed 48k
 sounds. You can select which ones you want.

Package: freeswitch-sounds-en-us-callie-omega
Architecture: all
Depends: freeswitch-sounds-en-us-callie-48000, freeswitch-sounds-en-us-callie-32000, freeswitch-sounds-en-us-callie-16000, freeswitch-sounds-en-us-callie-8000
Conflicts: freeswitch-sounds-en-us-callie
Description: English language files for FreeSWITCH(TM)
 This package depends on the pregenerated 8khz, 16khz, 32khz, and 48khz sounds
 which are downloaded from binary data files.

=== libs/ilbc/debian/control ===
Source: ilbc
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jose Carlos Garcia Sogo <jsogo@debian.org>, Kilian Krause <kilian@debian.org>, Santiago Garcia Mantinan <manty@debian.org>, Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir.cohen@xorcom.com>, Santiago Ruano Rincón <santiago@debian.org>
Build-Depends: debhelper (>= 4.0.0), dpatch, doxygen, autotools-dev
Standards-Version: 3.7.2
XS-Vcs-Svn: svn://svn.debian.org/pkg-voip/
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/

Package: libilbc
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libilbc0, libilbc1, libilbc2
Description: Telephony signal processing library
 This package contains the iLBC low bit rate speech codec.
 .
 This package contains the shared library.

Package: libilbc-dev
Section: libdevel
Architecture: any
Depends: libilbc3 (= ${Source-Version})
Description: Telephony signal processing library
 This package contains the iLBC low bit rate speech codec.
 .
 This package contains the static library and development headers.
 .
 Homepage: http://www.soft-switch.org/

Package: libilbc-doc
Section: doc
Architecture: all
Description: Documentation for the ilbc signal processing library
 This package contains the iLBC low bit rate speech codec.

=== debian/sounds/freeswitch-sounds-en-us-callie/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
export DH_OPTIONS
export DH_COMPAT=4
export DEB_DH_INSTALL_SOURCEDIR=debian/tmp


build:
	dh_testdir
	mkdir -p debian/tmp/opt/freeswitch/sounds
	cp -a en debian/tmp/opt/freeswitch/sounds/
	./debian/buildsounds.sh debian/tmp/opt/freeswitch/sounds/en/us/callie
clean:
	dh_testdir
	dh_testroot
	dh_clean -k 
	rm -f build-stamp 
	rm -Rf debian/tmp

install:
	dh_testdir
	dh_testroot
	dh_installdirs -A --sourcedir=debian/tmp
	dh_install --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary install

=== src/mod/endpoints/mod_gsmopen/gsmlib/gsmlib-1.10-patched-12ubuntu1/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# shared library versions, option 1
#version=2.0.5
#major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
me_version=`ls gsmlib/.libs/libgsmme*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
me_major=`ls gsmlib/.libs/libgsmme*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
ex_version=`ls ext/.libs/libgsmext*.so.* | \
 awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
ex_major=`ls ext/.libs/libgsmext*.so.* | \
 awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`


export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


# FOR AUTOCONF 2.13 ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += $(DEB_HOST_GNU_TYPE)
else
  confflags += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
CXXFLAGS += -g
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS=$(CFLAGS) CXXFLAGS=$(CXXFLAGS) INSTALL_PROGRAM=$(INSTALL_PROGRAM) \
	./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp configure-stamp config.log config.status po/de.gmo

	-test -r /usr/share/misc/config.sub && \
	   cp -f /usr/share/misc/config.sub scripts/config.sub
	-test -r /usr/share/misc/config.guess && \
	   cp -f /usr/share/misc/config.guess scripts/config.guess

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installdirs -pgsm-utils

	# Add here commands to install the package into debian/gsmlib.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	chrpath -d debian/tmp/usr/bin/*
	cp contrib/gsmsmsspool contrib/gsmsmsrequeue debian/tmp/usr/bin
	cp contrib/gsm-utils.init contrib/gsm-utils.default debian
	cp contrib/gsm-utils.cron.d debian


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	#
	# build libgsmlib${major} package by moving files from gsmlib-dev
	#
	dh_movefiles -plibgsmme$(me_major)c2a  \
	usr/lib/libgsmme.so.$(me_major)        \
	usr/lib/libgsmme.so.$(me_version)    \
	usr/lib/libgsmext.so.$(ex_major)        \
	usr/lib/libgsmext.so.$(ex_version)    \
	usr/share/locale

	dh_movefiles -plibgsmme-dev     \
	usr/include                   \
	usr/lib

	dh_movefiles -pgsm-utils \
	usr/bin


#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
	dh_installcron
	dh_installman -pgsm-utils debian/*.1 debian/tmp/usr/share/man/man*/*
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
#	dh_perl
	dh_shlibdeps -ldebian/libgsmme1c2a/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
